## ros-one-cras-py-common 2.5.1-41noble.20251023.1021

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(cras_py_common)

find_package(catkin REQUIRED COMPONENTS rosconsole sensor_msgs)

catkin_python_setup()

catkin_package()

add_library(sensor_msgs_py src/distortion_models.cpp src/image_encodings.cpp)
target_include_directories(sensor_msgs_py PRIVATE ${catkin_INCLUDE_DIRS})
target_link_libraries(sensor_msgs_py ${catkin_LIBRARIES})

add_library(rosconsole_py src/rosconsole.cpp)
target_include_directories(rosconsole_py PRIVATE ${catkin_INCLUDE_DIRS})
target_link_libraries(rosconsole_py ${catkin_LIBRARIES})

install(TARGETS rosconsole_py sensor_msgs_py
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)

  roslint_custom(catkin_lint "-W2" .)

  # Run roslint on Python sources
  file(GLOB_RECURSE python_files src/*.py test/*.py)
  roslint_python("${python_files}")

  # Roslint C++ - checks formatting and some other rules for C++ files
  file(GLOB_RECURSE ROSLINT_FILES src/*.cpp)
  set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
    -build/header_guard,-build/include,-readability/namespace,-whitespace/braces,-runtime/references,\
    -build/c++11,-readability/nolint,-readability/todo,-legal/copyright")
  roslint_cpp(${ROSLINT_FILES})

  roslint_add_test()

  add_rostest(test/test_log_utils.test)
  add_rostest(test/test_node_utils.test)
  add_rostest(test/test_param_utils.test)
  add_rostest(test/test_static_transform_broadcaster.test)
  add_rostest(test/test_topic_utils.test)

  catkin_add_nosetests(test/test_ctypes_utils.py)
  catkin_add_nosetests(test/test_geometry_utils.py)
  catkin_add_nosetests(test/test_heap.py)
  catkin_add_nosetests(test/test_image_encodings.py)
  catkin_add_nosetests(test/test_message_utils.py)
  catkin_add_nosetests(test/test_python_utils.py)
  catkin_add_nosetests(test/test_string_utils.py)
  catkin_add_nosetests(test/test_test_utils.py)
  catkin_add_nosetests(test/test_time_utils.py)
endif()

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-41noble.20251023.1021) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 10:21:39 +0000

ros-one-cras-py-common (2.5.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.5.0-0noble) noble; urgency=high

  * plugin_utils: Fixed Python 2.7 compatibility.
  * Added plugin_utils.
  * string_utils: Added pretty_file_size()
  * message_utils: Added msg_to_raw and raw_to_msg
  * Fixed dependencies.
  * image_encodings: Added isDepth().
  * Added image_encodings.py and distortion_models.py .
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.6-0noble) noble; urgency=high

  * string_utils: Added iconvConvert(), transliterateToAscii() and toValidRosName() functions.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.2-0noble) noble; urgency=high

  * log_utils: Addded log_once_identical() functions.
  * log_utils: Fixed stack information for cras.log().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.0-0noble) noble; urgency=high

  * string_utils: Fixed iconv functions when running with LC_ALL=C or other weird locale.
  * Added python_utils.
  * string_utils: Added methods for iconv-like conversions of strings and sanitization or ROS names.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.9-0noble) noble; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.2-0noble) noble; urgency=high

  * param_utils: Removed deprecated numpy aliases.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.0-0noble) noble; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.2-0noble) noble; urgency=high

  * ctypes_utils: Added ScalarAllocator.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.1-0noble) noble; urgency=high

  * message_utils: Added dict_to_dynamic_config_msg().
  * ctypes_utils: Added c_array() method.
  * message_utils: Added get_srv_types() and get_cfg_module().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.0-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.0-0noble) noble; urgency=high

  * ctypes_utils: Added specialized allocators for ROS messages and for rosconsole logs.
  * string_utils: Register genpy Time and Duration for to_str() conversion, too.
  * ctypes_utils: Do not add one byte to StringAlloc allocated size. The caller has to do it now.
  * ctypes_utils: Autodetection of length of a BufferStringIO stream.
  * ctypes_utils: Added get_ro_c_buffer.
  * Added utilities for working with ctypes.
  * Allow resetting nodes by topic.
  * Added support for enums in to_str() and param utils.
  * Hide tf2_ros includes in geometry_utils.py inside function calls.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.0.10-0noble) noble; urgency=high

  * Fix test bug.


=== debian/control ===
Source: ros-one-cras-py-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-rosconsole, ros-one-sensor-msgs
Homepage: https://wiki.ros.org/cras_py_common
Standards-Version: 3.9.2

Package: ros-one-cras-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, language-pack-en, ros-one-dynamic-reconfigure, ros-one-genpy, ros-one-geometry-msgs, ros-one-rosconsole, ros-one-rosgraph, ros-one-rosgraph-msgs, ros-one-rospy, ros-one-tf, ros-one-tf2-msgs, ros-one-tf2-ros
Description: A Czech-army knife for ROS code written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cras-py-common//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cras-py-common 2.5.1-88noble.20251212.2106

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-88noble.20251212.2106) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Dec 2025 21:06:52 +0000

## ros-one-cras-py-common 2.5.1-89jammy.20251215.2115

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-89jammy.20251215.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:15:50 +0000

ros-one-cras-py-common (2.5.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.5.0-0jammy) jammy; urgency=high

  * plugin_utils: Fixed Python 2.7 compatibility.
  * Added plugin_utils.
  * string_utils: Added pretty_file_size()
  * message_utils: Added msg_to_raw and raw_to_msg
  * Fixed dependencies.
  * image_encodings: Added isDepth().
  * Added image_encodings.py and distortion_models.py .
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.6-0jammy) jammy; urgency=high

  * string_utils: Added iconvConvert(), transliterateToAscii() and toValidRosName() functions.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.2-0jammy) jammy; urgency=high

  * log_utils: Addded log_once_identical() functions.
  * log_utils: Fixed stack information for cras.log().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.0-0jammy) jammy; urgency=high

  * string_utils: Fixed iconv functions when running with LC_ALL=C or other weird locale.
  * Added python_utils.
  * string_utils: Added methods for iconv-like conversions of strings and sanitization or ROS names.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.9-0jammy) jammy; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.2-0jammy) jammy; urgency=high

  * param_utils: Removed deprecated numpy aliases.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.0-0jammy) jammy; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.2-0jammy) jammy; urgency=high

  * ctypes_utils: Added ScalarAllocator.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.1-0jammy) jammy; urgency=high

  * message_utils: Added dict_to_dynamic_config_msg().
  * ctypes_utils: Added c_array() method.
  * message_utils: Added get_srv_types() and get_cfg_module().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.0-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.0-0jammy) jammy; urgency=high

  * ctypes_utils: Added specialized allocators for ROS messages and for rosconsole logs.
  * string_utils: Register genpy Time and Duration for to_str() conversion, too.
  * ctypes_utils: Do not add one byte to StringAlloc allocated size. The caller has to do it now.
  * ctypes_utils: Autodetection of length of a BufferStringIO stream.
  * ctypes_utils: Added get_ro_c_buffer.
  * Added utilities for working with ctypes.
  * Allow resetting nodes by topic.
  * Added support for enums in to_str() and param utils.
  * Hide tf2_ros includes in geometry_utils.py inside function calls.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.0.10-0jammy) jammy; urgency=high

  * Fix test bug.


## ros-one-cras-py-common 2.5.1-89noble.20251215.2114

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-89noble.20251215.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:14:23 +0000

## ros-one-cras-py-common 2.5.1-125jammy.20260119.2108

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-125jammy.20260119.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:08:13 +0000

## ros-one-cras-py-common 2.5.1-125noble.20260119.2107

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-125noble.20260119.2107) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:07:51 +0000

## ros-one-cras-py-common 2.5.1-132jammy.20260128.2113

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-132jammy.20260128.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:13:10 +0000

## ros-one-cras-py-common 2.5.1-132noble.20260128.2115

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-132noble.20260128.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:15:42 +0000

## ros-one-cras-py-common 2.5.1-140jammy.20260213.2127

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-140jammy.20260213.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 21:27:34 +0000

## ros-one-cras-py-common 2.5.1-140noble.20260213.2133

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-140noble.20260213.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 21:33:01 +0000
